<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

  if(isset($_SESSION["mailcli"]))
  {
    if ($connexion)// si connexion à la base réussi
    {	
      mysql_select_db($base,$connexion);
      
      //sélectionne toutes les titres ayant le mail de client de la session
      $requete_consulter = "Select * from freepay_titre where mailcli = '".$_SESSION["mailcli"]."' order by valeurtitre desc, numtitre desc;";
      $resultat_consulter = mysql_query($requete_consulter,$connexion); //connexion de la requete
      $ligne_consulter = mysql_fetch_assoc($resultat_consulter); //affichage des résultats
     
      //Traçabilité des transactions sous forme de tableau
      echo '<h4 class="titre">Vos titres archivés</h4>';
      
      if(!empty($ligne_consulter))
      {
        //tableau
        echo '
        <table width="100%">
          <tr>
             <th>ISIN</th><th>Propriétaire</th><th>Valeur</th><th>Devise</th>
          </tr>';
        
        do{
          echo '<tr>

          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >
            <a href="titre_historique.php?numtitre='.$ligne_consulter["numtitre"].'">'.$ligne_consulter["numtitre"].'</a></td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_consulter["mailcli"].'</td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_consulter["valeurtitre"].'</td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["devise"].'</td>
            
          </tr>';
          
        }while($ligne_consulter = mysql_fetch_assoc($resultat_consulter));
        echo '
        </table>';
      }
      else
      {
        echo'<p class="info">Aucun titre archivé.</p>';      //Vous pouvez en <strong><a href="titre_ajouter.php">créer</a></strong> un.  
      }
      
    }
    else // si connexion échoué
    { 
      echo "<p class='erreur'>La connexion à la base de donnée à échoué.</p>";
    }
  }
  else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }

  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
